# How to contribute

Don't hesitate to take any issue that has been marked as valid. Considering that I'm not a native english speaker, any language fixing pull request is welcome!

If you have a new feature in mind, please, [contact me](mailto:jeremie.drouet@gmail.com), I'd be really happy to discuss about your needs and expectations.

## Requirements

1. 🐛 Pick a [good issue to start with](https://github.com/jdrouet/jolimail/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22)
2. 👩‍🔧 Create a branch and make your changes. Remember to sign off your commits using git commit -sm "fix(section): your commit message"
3. 🧽 Make sure you improve the product and its codebase
4. ⬆ Create a [pull request](https://opensource.guide/how-to-contribute/#opening-a-pull-request)
5. 👍 Fix things that come up during review
6. 🎉 Wait for it to get merged!

We are trying to organize the commit messages, to follow our guidelines, install [git commitizen](http://commitizen.github.io/cz-cli/).
